Subject: RE: I-D ACTION:draft-ietf-mpls-te-feed-01.txt

From: "Peter Ashwood-Smith" <[email-masked]>
Date: Thu, 20 Jul 2000 14:18:15 -0400

Just for some context ;)

The work presented in this draft is derived from a proprietary path oriented
routing protocol implemented in 1992 and currently in wide spread
deployment.

I proposed a similar mechanism to the ATM/PNNI group 5 years or so ago at a
Boston meeting but it got watered down to just a trivial crank-back
mechanism. 

Anyway, I'm sure somebody else built something similar before this but what
difference does it make? It's a useful mechanism and works well in MPLS too.
ATM predates MPLS but we are still doing MPLS ;)

Does anybody have any technical comments on this draft? So far I've only had
three comments (two from OSLO) which have been incorporated into this latest
draft. 

Cheers,

Peter

	-----Original Message-----
	From:	Bala Rajagopalan [SMTP:[email-masked]]
	Sent:	Thursday, July 20, 2000 1:49 PM
	Cc:	[email-masked]
	Subject:	Re: I-D ACTION:draft-ietf-mpls-te-feed-01.txt

	Hello:

	I hate to say this, but similar approaches have been described
before:

	See: Competetive Routing of Virtual Circuits in ATM Networks (1995)
by S. Plotkin

	 http://troll-w.stanford.edu/plotkin/jsac95.ps

	and

	Routing and Admission Control in General Topology Networks (1995) by
Gawlick et al.

	 http://troll-w.stanford.edu/plotkin/bigmu.ps

	Bala

	[email-masked] wrote:

	> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
	> This draft is a work item of the Multiprotocol Label Switching
Working Group of the IETF.
	>
	>         Title           : IMPROVING TOPOLOGY DATA BASE ACCURACY
WITH LSP
	>                           FEEDBACK
	>         Author(s)       : P. Ashwood-Smith, B. Jamoussi, D. Fedyk,
D. Skalecki
	>         Filename        : draft-ietf-mpls-te-feed-01.txt
	>         Pages           : 12
	>         Date            : 19-Jul-00
	>
	> One key component of traffic engineering is a concept known as
	> constraint based routing. In constraint based routing a topology
	> database is maintained on all participating nodes. This database
	> contains a complete list of all the links in the network that
	> participate in traffic engineering and for each of these links a
set
	> of constraints which those links can meet. Bandwidth, for example,
	> is one essential constraint. Since the bandwidth available changes
	> as new LSPs are established and terminated the topology database
	> will develop inconsistencies with respect to the real network. It
is
	> not possible to increase the flooding rates arbitrarily to keep
the
	> database discrepancies from growing. We propose a new mechanism
	> whereby a source node can learn about the successes or failures of
	> its path selections by receiving feedback from the paths it is
	> attempting. This fed-back information can be incorporated into
	> subsequent route computations, which greatly improves the accuracy
	> of the overall routing solution by significantly reducing the
	> database discrepancies.
	>
	> A URL for this Internet-Draft is:
	> http://www.ietf.org/internet-drafts/draft-ietf-mpls-te-feed-01.txt
	>
	> Internet-Drafts are also available by anonymous FTP. Login with
the username
	> "anonymous" and a password of your e-mail address. After logging
in,
	> type "cd internet-drafts" and then
	>         "get draft-ietf-mpls-te-feed-01.txt".
	>
	> A list of Internet-Drafts directories can be found in
	> http://www.ietf.org/shadow.html
	> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
	>
	> Internet-Drafts can also be obtained by e-mail.
	>
	> Send a message to:
	>         [email-masked].
	> In the body type:
	>         "FILE /internet-drafts/draft-ietf-mpls-te-feed-01.txt".
	>
	> NOTE:   The mail server at ietf.org can return the document in
	>         MIME-encoded form by using the "mpack" utility.  To use
this
	>         feature, insert the command "ENCODING mime" before the
"FILE"
	>         command.  To decode the response(s), you will need
"munpack" or
	>         a MIME-compliant mail reader.  Different MIME-compliant
mail readers
	>         exhibit different behavior, especially when dealing with
	>         "multipart" MIME messages (i.e. documents which have been
split
	>         up into multiple messages), so check your local
documentation on
	>         how to manipulate these messages.
	>
	>
	> Below is the data which will enable a MIME compliant mail reader
	> implementation to automatically retrieve the ASCII version of the
	> Internet-Draft.
	>
	>
------------------------------------------------------------------------
	> Content-Type: text/plain
	> Content-ID:     <[email-masked]>

	--

	Bala Rajagopalan
	Tellium, Inc.
	2 Crescent Place
	P.O. Box 901
	Oceanport, NJ 07757-0901
	Tel: (732) 923-4237
	Fax: (732) 923-9804
	Email: [email-masked]